org.richfaces.renderkit.html

## Class AbstractMenuRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.html.AbstractMenuRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    ContextMenuRendererDelegate, DropDownMenuRendererBase

      public abstract class AbstractMenuRenderer
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

  Author:
    Maksim Kaszynski

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMenuRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.String` | `getItemScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent kid)`
    `protected abstract java.lang.String` | `getLayerScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent layer)`
    `boolean` | `getRendersChildren()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`
    `void` | `processLayer(javax.faces.context.FacesContext context, javax.faces.component.UIComponent layer, java.lang.String width)`
    `protected abstract void` | `processLayerStyles(javax.faces.context.FacesContext context, javax.faces.component.UIComponent layer, javax.faces.context.ResponseWriter writer)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMenuRenderer

          public AbstractMenuRenderer()

  - ### Method Detail

    - #### getScripts

          protected org.ajax4jsf.resource.InternetResource[] getScripts()

      Overrides:
        `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### getStyles

          protected org.ajax4jsf.resource.InternetResource[] getStyles()

      Overrides:
        `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### encodeScript

          public void encodeScript(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getLayerScript

          protected abstract java.lang.String getLayerScript(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent layer)

    - #### getItemScript

          protected java.lang.String getItemScript(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent kid)

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### processLayer

          public void processLayer(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent layer,
                          java.lang.String width)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeItems

          public void encodeItems(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### processLayerStyles

          protected abstract void processLayerStyles(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent layer,
                                javax.faces.context.ResponseWriter writer)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.